Package com.independentsoft.office.vml

# Class Skew

java.lang.Object
com.independentsoft.office.vml.Skew

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class Skew extends Object implements IShapeElement, IVmlElement
The Class Skew.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Skew()`
  Instantiates a new skew.
  `Skew​(InternalXMLStreamReader reader)`
  Instantiates a new skew.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Skew`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `ExtensionHandlingBehavior`
  `getExtensionHandlingBehavior()`
  Gets the extension handling behavior.
  `String`
  `getID()`
  Gets the id.
  `String`
  `getMatrix()`
  Gets the matrix.
  `String`
  `getOffset()`
  Gets the offset.
  `String`
  `getOrigin()`
  Gets the origin.
  `boolean`
  `isDisplay()`
  Checks if is display.
  `void`
  `setDisplay​(boolean display)`
  Sets the display.
  `void`
  `setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)`
  Sets the extension handling behavior.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setMatrix​(String matrix)`
  Sets the matrix.
  `void`
  `setOffset​(String offset)`
  Sets the offset.
  `void`
  `setOrigin​(String origin)`
  Sets the origin.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Skew

    public Skew()
    Instantiates a new skew.

  - ### Skew

    public Skew​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new skew.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Skew clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionHandlingBehavior

    public ExtensionHandlingBehavior getExtensionHandlingBehavior()
    Gets the extension handling behavior.
    Returns:
      the extension handling behavior

  - ### setExtensionHandlingBehavior

    public void setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)
    Sets the extension handling behavior.
    Parameters:
      `extensionHandlingBehavior` - the new extension handling behavior

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getMatrix

    public String getMatrix()
    Gets the matrix.
    Returns:
      the matrix

  - ### setMatrix

    public void setMatrix​(String matrix)
    Sets the matrix.
    Parameters:
      `matrix` - the new matrix

  - ### getOffset

    public String getOffset()
    Gets the offset.
    Returns:
      the offset

  - ### setOffset

    public void setOffset​(String offset)
    Sets the offset.
    Parameters:
      `offset` - the new offset

  - ### isDisplay

    public boolean isDisplay()
    Checks if is display.
    Returns:
      true, if is display

  - ### setDisplay

    public void setDisplay​(boolean display)
    Sets the display.
    Parameters:
      `display` - the new display

  - ### getOrigin

    public String getOrigin()
    Gets the origin.
    Returns:
      the origin

  - ### setOrigin

    public void setOrigin​(String origin)
    Sets the origin.
    Parameters:
      `origin` - the new origin